diff -c -r pl/config.h pl.386bsd/config.h
*** pl/config.h	Tue Jul  7 10:20:02 1992
--- pl.386bsd/config.h	Thu Aug 27 15:18:16 1992
***************
*** 1,4 ****
! #define M_SYSTEMHOME "/staff/jan/src/pl"
  #define M_DEFSTARTUP ".plrc"
  #define M_BINDIR "/usr/local/bin"
! #define M_PROLOG "pl"
--- 1,4 ----
! #define M_SYSTEMHOME "/src/local/pl/home"
  #define M_DEFSTARTUP ".plrc"
  #define M_BINDIR "/usr/local/bin"
! #define M_PROLOG pl
diff -c -r pl/man/online pl.386bsd/man/online
*** pl/man/online	Tue May 26 13:51:48 1992
--- pl.386bsd/man/online	Wed Aug 26 16:32:13 1992
***************
*** 1,15 ****
! #!/bin/csh -f
! set echo
! set totex=./onlinetotex
! setenv MANUAL ../library/MANUAL
! setenv INDEX  ../library/help_index.pl
! $totex intro.doc   | expand > intro.tex
  $totex builtin.doc | expand > builtin.tex
  $totex module.doc  | expand > module.tex
  $totex foreign.doc | expand > foreign.tex
  $totex hack.doc    | expand > hack.tex
  cp     summary.doc            summary.tex
  latex online.tex
  latex online.tex
  dvi2tty online | cat -s > $MANUAL
! pl -g online_index -t halt
--- 1,17 ----
! #!/bin/sh -v -f
! totex=onlinetotex
! MANUAL="../library/MANUAL"
! INDEX="../library/help_index.pl"
! export MANUAL INDEX
! 
! $totex intro.doc | expand > intro.tex
  $totex builtin.doc | expand > builtin.tex
  $totex module.doc  | expand > module.tex
  $totex foreign.doc | expand > foreign.tex
  $totex hack.doc    | expand > hack.tex
+ 
  cp     summary.doc            summary.tex
  latex online.tex
  latex online.tex
  dvi2tty online | cat -s > $MANUAL
! #pl -g online_index -t halt
diff -c -r pl/man/onlinetotex pl.386bsd/man/onlinetotex
*** pl/man/onlinetotex	Tue May 26 13:51:50 1992
--- pl.386bsd/man/onlinetotex	Wed Aug 26 16:13:43 1992
***************
*** 1,4 ****
! #! /bin/sed -f
  s/section\*/section/
  s/^\.SS \(.*\)/\\subsection{\1}/
  s/^\.S \(.*\)/\\section{\1}/
--- 1,4 ----
! #!/usr/bin/sed -f
  s/section\*/section/
  s/^\.SS \(.*\)/\\subsection{\1}/
  s/^\.S \(.*\)/\\section{\1}/
diff -c -r pl/src/Makefile pl.386bsd/src/Makefile
*** pl/src/Makefile	Thu Jul 16 14:51:50 1992
--- pl.386bsd/src/Makefile	Sat Aug 29 20:03:35 1992
***************
*** 34,52 ****
  
  # paths and file names for installation
  
! SYSTEMHOME=M_SYSTEMHOME
! DEFSTARTUP=M_DEFSTARTUP
! PROLOG=M_PROLOG
! BINDIR=M_BINDIR
  
  SYS=pl
! STARTUPDIR=../startup
  STARTUPPATH=$(STARTUPDIR)/startup.MACHINE
! RUNTIMEDIR=../runtime/MACHINE
  RUNTIME=$(RUNTIMEDIR)/pl.o
  PB=../boot
  BINLIB=libPL.a
! CPP=/lib/cpp
  EXPORTS=../include/SWI-Exports
  CINCLUDE=../include/SWI-Prolog.h
  
--- 34,54 ----
  
  # paths and file names for installation
  
! # the following 4 names are to change, because we do not use ../config.h
! SYSTEMHOME=/usr/local/lib/pl
! DEFSTARTUP=.plrc
! BINDIR=/usr/local/bin
! PROLOG=pl
  
+ # normally you should not need to change this
  SYS=pl
! STARTUPDIR=$(SYSTEMHOME)/startup
  STARTUPPATH=$(STARTUPDIR)/startup.MACHINE
! RUNTIMEDIR=$(SYSTEMHOME)/runtime/MACHINE
  RUNTIME=$(RUNTIMEDIR)/pl.o
  PB=../boot
  BINLIB=libPL.a
! CPP=/usr/libexec/cpp
  EXPORTS=../include/SWI-Exports
  CINCLUDE=../include/SWI-Prolog.h
  
***************
*** 90,99 ****
  
  xmakefile:	Makefile md.h ../config.h
  		@-rm -f junk.c make.h
! 		@sed 's/"//g' md.h ../config.h > make.h
  		@sed -f make.sed Makefile > junk.c
  		@$(CPP) junk.c | \
! 		sed -e 's/^[ 	]*$$//' -e 's/^ /	/' | \
  		sed -n -e '/^..*$$/p' > xmakefile
  		@rm -f junk.c make.h
  
--- 92,103 ----
  
  xmakefile:	Makefile md.h ../config.h
  		@-rm -f junk.c make.h
! 		@sed 's/"//g' ../config.h md.h > make.h
  		@sed -f make.sed Makefile > junk.c
  		@$(CPP) junk.c | \
! 		sed -e "s/[ 	]*$$//g" \
! 		    -e "/^[ 	]*$$/d"  \
! 		    -e "s/^ /	/"  | \
  		sed -n -e '/^..*$$/p' > xmakefile
  		@rm -f junk.c make.h
  
***************
*** 100,113 ****
  $(SYS):		$(OBJ) $(DEPOBJ) $(EXT)
  		$(CC) $(LDFLAGS) -o $(SYS) $(OBJ) $(DEPOBJ) $(EXT) $(LIBS)
  
! $(STARTUPDIR):	
  		-mkdir $@
! 
  $(STARTUPPATH):	$(PLBOOT) $(PLINIT) pl-wam.o
  		./$(SYS) -O -o $(STARTUPPATH) -b $(PLINIT) -c $(PLBOOT)
  
! $(RUNTIMEDIR):
! 		@-mkdir ../runtime
  		@-mkdir $@
  
  $(RUNTIME):	$(OBJ) $(DEPOBJ) $(RUNTIMEDIR)
--- 104,118 ----
  $(SYS):		$(OBJ) $(DEPOBJ) $(EXT)
  		$(CC) $(LDFLAGS) -o $(SYS) $(OBJ) $(DEPOBJ) $(EXT) $(LIBS)
  
! $(STARTUPDIR):	$(SYSTEMHOME)
  		-mkdir $@
! $(SYSTEMHOME):
! 		-mkdir $@
  $(STARTUPPATH):	$(PLBOOT) $(PLINIT) pl-wam.o
  		./$(SYS) -O -o $(STARTUPPATH) -b $(PLINIT) -c $(PLBOOT)
  
! $(RUNTIMEDIR):  $(SYSTEMHOME)
! 		@-mkdir $(SYSTEMHOME)/runtime
  		@-mkdir $@
  
  $(RUNTIME):	$(OBJ) $(DEPOBJ) $(RUNTIMEDIR)
***************
*** 145,150 ****
--- 150,159 ----
  xinstall:	$(RUNTIMEDIR)
  		$(INSTALL) $(SYS) $(RUNTIMEDIR)
  		./dump $(RUNTIMEDIR)/$(SYS) $(BINDIR)/$(PROLOG)
+ 		mv ../library $(SYSTEMHOME)
+ 		ln -s $(SYSTEMHOME)/library ../library
+ 		mv ../include $(SYSTEMHOME)
+ 		ln -s $(SYSTEMHOME)/include ../include
  #else
  		rm -f $(BINDIR)/$(PROLOG)

diff -c -r pl/src/dump pl.386bsd/src/dump
*** pl/src/dump	Tue May 26 13:52:09 1992
--- pl.386bsd/src/dump	Sat Aug 29 00:54:32 1992
***************
*** 1,30 ****
! #!/bin/csh -f
  # Create a stand alone executable of SWI-Prolog
! 
! set pl=./pl
! 
! switch( $#argv )
! 	case 0:
! 		set bin=/usr/local/bin/$pl
! 		breaksw
! 	case 1:
! 		set pl=$1
! 		set bin=/usr/local/bin/$pl
! 		breaksw
! 	case 2:
! 		set pl=$1
! 		set bin=$2
! 		breaksw
! 	default:
  		echo "Usage: dump [sys] [executable]"
  		exit 1
! endsw
  
! $pl -f none -B << _EOS_
! save_program('$bin',
  	[ goal		= '''\$welcome'''
  	, toplevel	= prolog
  	, init_file	= '.plrc'
! 	]).	
! halt.
! _EOS_
--- 1,30 ----
! #!/bin/sh
  # Create a stand alone executable of SWI-Prolog
! case $# in
! 	0)
! 		pl=./pl
! 		bin=/usr/local/bin/pl
! 		;;
! 	1)
! 		pl=$1
! 		bin=/usr/local/bin/pl
! 		;;
! 	2)
! 		pl=$1
! 		bin=$2
! 		;;
! 	*)
  		echo "Usage: dump [sys] [executable]"
  		exit 1
! 		;;
! esac
  
! echo "save_program('$bin',
  	[ goal		= '''\$welcome'''
  	, toplevel	= prolog
  	, init_file	= '.plrc'
! 	])." > tmprmt 
! $pl -f none -B < tmprmt
! 
! 
! 
diff -c -r pl/src/pl-funcs.h pl.386bsd/src/pl-funcs.h
*** pl/src/pl-funcs.h	Tue Jul  7 10:25:31 1992
--- pl.386bsd/src/pl-funcs.h	Wed Aug 26 15:43:23 1992
***************
*** 63,69 ****
--- 63,71 ----
  #if O_COMPILE_ARITH
  int		indexArithFunction P((FunctorDef, Module));
  FunctorDef	functorArithFunction P((int));
+ #if !PROTO
  bool		ar_func_n P((FI(code), int, Word *));
+ #endif
  #endif O_COMPILE_ARITH
  
  		/* pl-atom.c */
diff -c -r pl/src/pl-os.c pl.386bsd/src/pl-os.c
*** pl/src/pl-os.c	Thu Jul 16 15:13:28 1992
--- pl.386bsd/src/pl-os.c	Wed Aug 26 17:48:02 1992
***************
*** 19,25 ****
  #include <sys/stat.h>
  #include <pwd.h>
  #include <sys/file.h>
! #if minix || LINUX
  #include <unistd.h>
  #endif
  
--- 19,25 ----
  #include <sys/stat.h>
  #include <pwd.h>
  #include <sys/file.h>
! #if minix || LINUX || __386BSD__
  #include <unistd.h>
  #endif
  
***************
*** 28,34 ****
  extern int unlink(/*char **/);
  extern int link(/*char **/);
  extern int select(/*int *, int*, int*, struct timeval **/);
! #if !minix && !LINUX
  extern int ioctl(/*int, int, Void*/);
  extern int execl(/*char *, ... */);
  #endif
--- 28,34 ----
  extern int unlink(/*char **/);
  extern int link(/*char **/);
  extern int select(/*int *, int*, int*, struct timeval **/);
! #if !minix && !LINUX && !__386BSD__
  extern int ioctl(/*int, int, Void*/);
  extern int execl(/*char *, ... */);
  #endif
diff -c -r pl/src/pl-save.c pl.386bsd/src/pl-save.c
*** pl/src/pl-save.c	Thu Jul 16 14:51:55 1992
--- pl.386bsd/src/pl-save.c	Thu Aug 27 19:12:17 1992
***************
*** 81,87 ****
--- 81,89 ----
  #include <fcntl.h>
  #include "pl-save.h"
  
+ #if !__386BSD__
  int	brk P((caddr_t));
+ #endif
  caddr_t sbrk P((int));
  extern  etext;			/* end-of-text */
  extern  char **environ;		/* normally first data-address */
***************
*** 363,369 ****
  		    n,
  		    (unsigned) sect->start,
  		    (unsigned) sect->start+sect->length,
! 		    tell(fd)));
      tryWrite(fd, sect->start, sect->length);
    }
  
--- 363,369 ----
  		    n,
  		    (unsigned) sect->start,
  		    (unsigned) sect->start+sect->length,
! 		    (unsigned) fd));
      tryWrite(fd, sect->start, sect->length);
    }
